<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
CheckPermission Method (IEdmTransition5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmTransition5 Interface : CheckPermission Method (IEdmTransition5)

Visual Basic
C#
C++/CLI
Gets whether the logged-in user has permission to perform this transition.

# Syntax

Visual Basic |
--- | ---

    Function CheckPermission() As System.Boolean

C# |
--- | ---

    System.bool CheckPermission()

C++/CLI |
--- | ---

    System.bool CheckPermission();

#### Return Value

True if the user can make this transition, false if not

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: The user lacks permission.

# See Also

####

IEdmTransition5 Interface
IEdmTransition5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2